import 'reflect-metadata';
import { cleanEnv, str } from 'envalid';
import { getEnvironment } from '@common-stack/core';

const env = getEnvironment();
const config = cleanEnv(env, {
  GRAPHQL_SUBSCRIPTION_URL: str({
    default: env.GRAPHQL_URL.replace(/^http/, 'ws')
  }),
  EXTENSION_SOCKET_URL: str()
});

export { config };
//# sourceMappingURL=env-config.js.map
